Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Attributes | List of all members
b2GearJointDef Struct Reference

`#include <b2GearJoint.h>`

Inheritance diagram for b2GearJointDef:

## Public Attributes
b2Joint * | joint1
| The first revolute/prismatic joint attached to the gear joint.
b2Joint * | joint2
| The second revolute/prismatic joint attached to the gear joint.
float32 | ratio
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Gear joint definition. This definition requires two existing revolute or prismatic joints (any combination will work).

## Member Data Documentation

float32 b2GearJointDef::ratio

The gear ratio.

See Also
  b2GearJoint for explanation.

The documentation for this struct was generated from the following file:

- b2GearJoint.h